import { AuthMapperProtocol } from '../interfaces/mapper.interface';
export declare class AuthMapper implements AuthMapperProtocol {
    me: string;
    register: string;
    logout: string;
    refresh: string;
    requestPassword: string;
    resetPassword: string;
    role(data: any): any;
    toRegister(data: any): {
        accessToken: any;
        refreshToken: any;
        user: any;
    };
    toRefresh(data: any): {
        accessToken: any;
        refreshToken: any;
    };
}
